Skip to main content
`Ctrl`+`K`

# DMDASetStencilWidth

Sets the width of the communication stencil

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetStencilWidth(DM da, PetscInt width)

Logically Collective

## Input Parameters

- da - The `DMDA`

- width - The stencil width

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`, `DMDAStencilType`, `DMDA_STENCIL_BOX`, `DMDA_STENCIL_STAR.`

## Level

intermediate

## Location

src/dm/impls/da/da.c

## Examples

src/dm/tutorials/ex19.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages